Bug #95136

Required guzzlehttp/psr7 too new for most libraries

Added by Andreas Fernandez about 1 month ago. Updated 9 days ago.

Status:
Closed
Priority:
Should have
Assignee:
-
Category:
-
Target version:
Start date:
2021-09-07
Due date:
% Done:

100%

Estimated time:
TYPO3 Version:
11
PHP Version:
Tags:
Complexity:
Is Regression:
Sprint Focus:

Description

The first release of the v2 branch of guzzlehttp/psr7 was in June 30th 2021, which is around two months from now at the time of writing this ticket.

Many 3rd party libraries are not compatible to version 2.0 of guzzlehttp/psr7 yet, which makes updates impossible without using nasty hacks.


Related issues

Related to TYPO3 Core - Bug #94454: SelfEmittableLazyOpenStream is not compatible with guzzlehttp/psr7 2.0.0Closed2021-07-01

Actions
#1

Updated by Andreas Fernandez about 1 month ago

  • Related to Bug #94454: SelfEmittableLazyOpenStream is not compatible with guzzlehttp/psr7 2.0.0 added
#2

Updated by Gerrit Code Review about 1 month ago

  • Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/70955

#3

Updated by Andreas Fernandez about 1 month ago

  • Status changed from Under Review to Resolved
  • % Done changed from 0 to 100
#4

Updated by Benni Mack 9 days ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF